﻿.wolf-header {
    background-color: #0056A5;
    color: #fff;
    z-index: 1;
    position: relative
}

    .wolf-header .wolf-logo img {
        max-height: 38px;
        width: auto
    }

@media (min-width: 992px) and (max-width: 1024px) {
    .wolf-header .wolf-logo img {
        padding-right: 10px
    }
}

@media (max-width: 991px) {
    .wolf-header .wolf-logo img {
        max-height: 40px
    }
}

@media (max-width: 991px) {
    .wolf-header .wolf-search-and-menu {
        margin-top: 15px
    }

        .wolf-header .wolf-search-and-menu .wolf-category-mobile-button {
            color: #ffffff;
        }
}

.wolf-header .wolf-search-and-menu .smart-search .btn-search {
    height: 39px;
    background-color: transparent;
    color: #694e4e;
    z-index: 5
}

@media (min-width: 992px) {
    .wolf-header .wolf-search-and-menu .smart-search .btn-search:hover, .wolf-header .wolf-search-and-menu .smart-search .btn-search:focus {
        background-color: transparent;
        color: #2281c2
    }
}

.wolf-header .wolf-search-and-menu .smart-search .form-search {
    padding-right: 70px;
    height: 40px;
    border-color: #e5e7eb;
}

@media (max-width: 569px) {
    .wolf-header .wolf-search-and-menu .smart-search .form-search {
        padding-right: 55px
    }
}

.wolf-header .wolf-function-group .btn-header {
    color: #f5f5f5;
    padding-left: 8px;
    padding-right: 8px
}

@media (max-width: 1024px) {
    .wolf-header .wolf-function-group .btn-header {
        font-size: 15px;
        padding-left: 5px;
        padding-right: 5px
    }
}

.wolf-header .wolf-function-group .btn-header .cart-item-count {
    color: #000;
    top: 0;
    right: -10px
}

.wolf-header .wolf-function-group .btn-header #wishlistCountBadge {
    top: 0;
    right: -15px
}

.wolf-header .wolf-function-group .btn-header .cart-text {
    font-size: 14px
}

@media (min-width: 992px) {
    .wolf-header .wolf-function-group .btn-header:hover, .wolf-header .wolf-function-group .btn-header:focus {
        background-color: #1773de;
        color: #fff;
        border-radius: 6px;
    }
}

@media (min-width: 1200px) and (max-width: 1250px) {
    .wolf-header .wolf-function-group .btn-header .cart-text {
        display: none
    }
}

@media (min-width: 992px) and (max-width: 1400px) {
    .wolf-header .wolf-function-group .btn-header .cart-text {
        display: none
    }
}

@media (max-width: 569px) {
    .wolf-header .wolf-function-group .btn-header .cart-text {
        display: none
    }
}

.wolf-header .wolf-function-group .btn-header.btn-hotline .hotline-text {
    line-height: 1.1
}

    /*@media (min-width: 992px) and (max-width: 1024px) {
    .wolf-header .wolf-function-group .btn-header.btn-hotline .hotline-text {
        display: none !important
    }
}

@media (min-width: 1200px) and (max-width: 1399px) {
    .wolf-header .wolf-function-group .btn-header.btn-hotline .hotline-text {
        display: none !important
    }
}

@media (min-width: 1025px) and (max-width: 1200px) {
    .wolf-header .wolf-function-group .btn-header.btn-hotline .hotline-text {
        display: none !important
    }
}

@media (max-width: 569px) {
    .wolf-header .wolf-function-group .btn-header.btn-hotline .hotline-text {
        display: none !important
    }
}*/

    .wolf-header .wolf-function-group .btn-header.btn-hotline .hotline-text span.wolf-text-small {
        font-size: 14px;
        margin-bottom: 5px;
    }

    .wolf-header .wolf-function-group .btn-header.btn-hotline .hotline-text span + span {
        font-weight: 600;
        font-size: 14px
    }

        .wolf-header .wolf-function-group .btn-header.btn-hotline .hotline-text span + span.phone-number {
            color: #fff;
            font-weight: 700;
            font-size: 18px
        }

.wolf-header .wolf-function-group .wolf-account > a:before {
    content: "";
    width: 200px;
    height: 15px;
    background-color: rgba(255,255,255,0);
    position: absolute;
    bottom: -14px;
    z-index: 999;
    left: auto;
    right: -50px;
    display: none
}

.wolf-header .wolf-function-group .wolf-account ul {
    list-style: none;
    position: absolute;
    background-color: rgba(255,255,255,0.9);
    backdrop-filter: blur(10px);
    width: auto;
    min-width: 196px;
    z-index: 15;
    top: 51px;
    left: calc(50%);
    transform: translateX(-50%);
    display: none
}

    .wolf-header .wolf-function-group .wolf-account ul::before {
        border-width: 9px;
        border-style: solid;
        border-color: transparent transparent #fff;
        border-image: initial;
        margin-left: -9px;
        bottom: 100%;
        left: 50%;
        content: " ";
        height: 0px;
        width: 0px;
        position: absolute;
        pointer-events: none
    }

    .wolf-header .wolf-function-group .wolf-account ul li a {
        color: #333
    }

@media (min-width: 992px) {
    .wolf-header .wolf-function-group .wolf-account ul li a:hover, .wolf-header .wolf-function-group .wolf-account ul li a:focus {
        color: #333
    }
}

.wolf-header .wolf-function-group .wolf-account:hover > a:before {
    display: block
}

.wolf-header .wolf-function-group .wolf-account:hover ul {
    display: block
}

.wolf-bottom-header {
    background-color: #fff;
}

    .wolf-bottom-header .wolf-category-desktop-button {
        background-color: #fdd31c;
        color: #000000;
        font-weight: 600;
        font-size: 16px
    }

@media (max-width: 1024px) {
    .wolf-bottom-header .wolf-category-desktop-button {
        font-size: 15px
    }
}

@media (min-width: 1025px) and (max-width: 1200px) {
    .wolf-bottom-header .wolf-category-desktop-button {
        font-size: 14px
    }
}

.wolf-bottom-header .wolf-category-desktop-button:hover, .wolf-bottom-header .wolf-category-desktop-button:focus {
    color: #333
}

.wolf-bottom-header .wolf-bottom-header-content {
    position: relative
}

    .wolf-bottom-header .wolf-bottom-header-content .scroll-container {
        overflow-x: hidden;
        scroll-behavior: smooth;
        -ms-overflow-style: none;
        scrollbar-width: none;
        flex-grow: 1
    }

        .wolf-bottom-header .wolf-bottom-header-content .scroll-container::-webkit-scrollbar {
            display: none
        }

    .wolf-bottom-header .wolf-bottom-header-content .second-nav {
        list-style: none;
        margin-bottom: 0;
        padding-left: 0;
        overflow: visible;
        position: static;
        transition: margin-left 300ms ease-in-out
    }

        .wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root > a {
            color: #333;
            font-weight: 600;
            padding: 9px 3px;
            font-size: 15px
        }

@media (min-width: 992px) {
    .wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root > a:hover, .wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root > a:focus {
        color: #333
    }
}

.wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu .wolf-bottom-header-menu {
    box-shadow: 0 -2px 15px 0 rgba(0,0,0,0.078);
    padding: 0;
    width: 250px;
    background-color: #fff;
    backdrop-filter: blur(10px);
    top: 100%;
    z-index: 999;
    list-style: none;
    margin-bottom: 0;
    padding-left: 0;
    display: none;
    transform: scaleY(0);
    visibility: hidden;
    opacity: 0;
    transform-origin: top;
    border-radius: 0 0 10px 10px
}

    .wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu .wolf-bottom-header-menu:before {
        content: "";
        width: 100%;
        height: 22px;
        background-color: rgba(255,255,255,0);
        position: absolute;
        top: -16px;
        z-index: 999;
        left: 0;
        display: none
    }

    .wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu .wolf-bottom-header-menu li a {
        padding: 8px;
        color: #333
    }

@media (min-width: 992px) {
    .wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu .wolf-bottom-header-menu li a:hover {
        background-color: transparent;
        color: #333
    }
}

.wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu .wolf-bottom-header-menu li + li {
    border-top: 1px solid #f0f0f0
}

.wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu .wolf-bottom-header-menu-2 {
    box-shadow: 0 -2px 15px 0 rgba(0,0,0,0.078);
    padding: 0;
    width: 250px;
    background-color: #fff;
    backdrop-filter: blur(10px);
    top: 0;
    left: -100%;
    z-index: 999;
    list-style: none;
    margin-bottom: 0;
    padding-left: 0;
    display: none;
    transform: scaleY(0);
    visibility: hidden;
    opacity: 0;
    transform-origin: top;
    border-radius: 0 0 10px 10px
}

.wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu:hover .wolf-bottom-header-menu {
    display: block;
    animation: showAnimation .5s ease-in-out;
    opacity: 1;
    transform: scaleY(1);
    transition: max-height 2s ease-in-out;
    visibility: visible
}

    .wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu:hover .wolf-bottom-header-menu:before {
        display: block
    }

.wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu:hover .wolf-mega-content {
    animation: showAnimation .5s ease-in-out;
    opacity: 1;
    transform: scaleY(1);
    transition: max-height 2s ease-in-out;
    visibility: visible;
    display: block
}

    .wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu:hover .wolf-mega-content:before {
        display: block
    }

.wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.nav-has-sub-menu .nav-second-menu-2:hover .wolf-bottom-header-menu-2 {
    display: block;
    animation: showAnimation .5s ease-in-out;
    opacity: 1;
    transform: scaleY(1);
    transition: max-height 2s ease-in-out;
    visibility: visible
}

.wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.menu-7.nav-has-sub-menu .wolf-bottom-header-menu, .wolf-bottom-header .wolf-bottom-header-content .second-nav .nav-second-root.menu-9.nav-has-sub-menu .wolf-bottom-header-menu {
    margin-left: -133px
}

.wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content {
    background-color: #fff;
    backdrop-filter: blur(10px);
    box-shadow: 0 -2px 15px 0 rgba(0,0,0,0.078);
    border-radius: 0 0 10px 10px;
    z-index: 999;
    top: 100%;
    left: 0;
    width: 100%;
    display: none;
    transform: scaleY(0);
    visibility: hidden;
    opacity: 0;
    transform-origin: top
}

    .wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content:before {
        content: "";
        width: 100%;
        height: 22px;
        background-color: rgba(255,255,255,0);
        position: absolute;
        top: -16px;
        z-index: 999;
        left: 0;
        display: none
    }

    .wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content .wolf-mega-header-link {
        overflow-y: auto;
        max-height: 420px;
        overflow-x: hidden
    }

        .wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content .wolf-mega-header-link .wolf-mega-title {
            font-size: 15px;
            color: #333;
            font-weight: 500
        }

            .wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content .wolf-mega-header-link .wolf-mega-title:hover {
                color: #333
            }

            .wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content .wolf-mega-header-link .wolf-mega-title.wolf-mega-title-child {
                border-bottom: 1px dashed #333;
                margin-bottom: 10px;
                padding-bottom: 3px;
                display: block
            }

        .wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content .wolf-mega-header-link .wolf-mega-header-content ul {
            list-style: none;
            margin-bottom: 0;
            padding-left: 0
        }

            .wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content .wolf-mega-header-link .wolf-mega-header-content ul a {
                color: #333
            }

                .wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content .wolf-mega-header-link .wolf-mega-header-content ul a:hover {
                    color: #333
                }

            .wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content .wolf-mega-header-link .wolf-mega-header-content ul .level2 {
                margin-bottom: 4px
            }

                .wolf-bottom-header .wolf-bottom-header-content .wolf-mega-content .wolf-mega-header-link .wolf-mega-header-content ul .level2 > a {
                    font-weight: normal;
                    font-size: 14px
                }

.wolf-bottom-header .wolf-bottom-header-content .wolf-navigation-arrows {
    display: none
}

    .wolf-bottom-header .wolf-bottom-header-content .wolf-navigation-arrows button {
        color: #333;
        padding-left: 6px;
        padding-right: 6px
    }

        .wolf-bottom-header .wolf-bottom-header-content .wolf-navigation-arrows button:hover {
            color: #333
        }

    .wolf-bottom-header .wolf-bottom-header-content .wolf-navigation-arrows.active {
        display: flex
    }

        .wolf-bottom-header .wolf-bottom-header-content .wolf-navigation-arrows.active .btn {
            padding-left: 6px;
            padding-right: 6px
        }

.flex-grow-1 {
    flex-grow: 1 !important;
}

.w-auto {
    width: auto !important;
}

.input-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
    margin-left: calc(-1 * 1px);
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.rounded-end-3 {
    border-top-right-radius: 0.5rem !important;
    border-bottom-right-radius: 0.5rem !important;
}

.rounded-3 {
    border-radius: 0.5rem !important;
}

.end-0 {
    right: 0 !important;
}

.top-0 {
    top: 0 !important;
}

.position-absolute {
    position: absolute !important;
}

@media (min-width: 576px) {
    .d-sm-flex {
        display: flex !important;
    }
}

.gap-1 {
    gap: .25rem !important;
}
/*--------- Danh mục sản phẩm ---------------*/
.position-relative {
    position: relative !important;
}

@media (min-width: 992px) {
    .d-lg-flex {
        display: flex !important;
    }
}

.btn {
    --bs-btn-padding-x: 0.75rem;
    --bs-btn-padding-y: 0.375rem;
    --bs-btn-font-size: 1rem;
    --bs-btn-font-weight: 400;
    --bs-btn-line-height: 1.5;
    --bs-btn-color: #000000;
    --bs-btn-bg: transparent;
    --bs-btn-border-width: 1px;
    --bs-btn-border-color: transparent;
    --bs-btn-border-radius: 0.375rem;
    --bs-btn-hover-border-color: transparent;
    --bs-btn-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15), 0 1px 1px rgba(0, 0, 0, 0.075);
    --bs-btn-disabled-opacity: 0.65;
    --bs-btn-focus-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15),0 1px 1px rgba(0, 0, 0, 0.075);
    display: inline-block;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: bold;
    line-height: 1.5;
    color: #333;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    border: 1px solid;
    background-color: transparent;
    border-radius: 5px;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.wolf-menu-root {
    position: absolute;
    top: 108%;
    background-color: #fff;
    backdrop-filter: blur(10px);
    z-index: 99;
    max-height: 550px;
    height: 550px;
    box-shadow: 0 -2px 15px 0 rgba(0,0,0,0.078);
    color: #333;
    font-size: 15px;
    width: calc(100% - 2 * 1.5rem * .5)
}

    .wolf-menu-root.ant-menu-index {
        display: none;
        visibility: hidden;
        opacity: 0;
        transform: scaleY(0);
        transform-origin: top
    }

        .wolf-menu-root.ant-menu-index.is-active {
            animation: showAnimation .5s ease-in-out;
            opacity: 1;
            transform: scaleY(1);
            transition: max-height 2s ease-in-out;
            visibility: visible;
            display: block;
            box-shadow: 0 0 10px 0 rgb(0 0 0 / 22%);
            border-radius: 0px 0px 10px 10px;
        }

@media (max-width: 1024px) {
    .wolf-menu-root {
        max-height: 330px;
        height: 330px
    }
}

@media (min-width: 1200px) and (max-width: 1399px) {
    .wolf-menu-root {
        max-height: 390px;
        height: 390px
    }
}

@media (min-width: 1025px) and (max-width: 1200px) {
    .wolf-menu-root {
        max-height: 330px;
        height: 330px
    }
}

.wolf-menu-root #main-menu-container {
    overflow-y: auto;
    overflow-x: hidden;
    height: 100%
}

    .wolf-menu-root #main-menu-container .menu-list {
        list-style: none;
        margin-bottom: 0;
        padding-left: 0;
        width: 100%
    }

        .wolf-menu-root #main-menu-container .menu-list .nav-root .nav-root-link {
            padding: 12px 8px;
            color: #333;
            font-size:15px;
        }

            .wolf-menu-root #main-menu-container .menu-list .nav-root .nav-root-link span {
                display: -webkit-box;
                -webkit-line-clamp: 1;
                -webkit-box-orient: vertical;
                overflow: hidden
            }

        .wolf-menu-root #main-menu-container .menu-list .nav-root + .nav-root {
            border-top: 1px solid #f0f0f0
        }

@media (min-width: 992px) {
    .wolf-menu-root #main-menu-container .menu-list .nav-root:hover {
        background-color: #f3f4f6
    }

        .wolf-menu-root #main-menu-container .menu-list .nav-root:hover .nav-root-link {
            color: #0056a5;
            font-weight: 600
        }
}

.wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 {
    position: absolute;
    left: 100%;
    top: 0;
    background-color: #fff;
    backdrop-filter: blur(10px);
    width: calc(300% + 6 * 1.5rem * .5);
    box-shadow: 0 -2px 15px 0 rgba(0,0,0,0.078);
    height: 100%;
    padding: 15px;
    display: none;
    border-top: 1px solid #f0f0f0;
    overflow-y: auto;
    overflow-x: hidden
}
@media (max-width: 991px) {
    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block {
        padding: 10px 10px 0 10px;
    }
}
    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block .title {
        font-weight: 600;
        font-size: 18px
    }

.wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block .suggest-block {
    grid-template-columns: repeat(8, 1fr);
    background-color: rgb(240 240 240);
    padding: 10px;
    border-radius: 10px
}

@media (max-width: 767px) {
    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block .suggest-block {
        grid-template-columns: repeat(4, 1fr)
    }
}

@media (max-width: 480px) {
    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block .suggest-block {
        grid-template-columns: repeat(3, 1fr)
    }
}

.wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block .suggest-block .suggest-item {
    color: #333;
    font-size: 14px;
    font-weight: 500;
    background-color:#ffffff;
    border-radius:10px;
    padding:10px;
}

    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block .suggest-block .suggest-item .suggest-item-img {
        overflow: hidden;
        width: 70px;
        height: 70px
    }

        .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block .suggest-block .suggest-item .suggest-item-img img {
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            margin: auto;
            position: absolute;
            object-fit: contain;
            width: auto;
            max-height: 100%
        }

    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block .suggest-block .suggest-item span {
        display: -webkit-box;
        -webkit-line-clamp: 1;
        -webkit-box-orient: vertical;
        overflow: hidden
    }

@media (min-width: 992px) {
    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block .suggest-block .suggest-item:hover {
        color: #333;
        box-shadow: 0 0 10px 0 rgb(0 0 0 / 14%)
    }
}

@media (min-width: 992px) {
    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .dropdown-mega-menu a:hover {
        color: #333
    }
}

.wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .dropdown-mega-menu .nav-link-2 {
    margin-bottom: 10px;
    font-size: 14px;
    text-align: center
}

@media (max-width: 991px) {
    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .dropdown-mega-menu .nav-link-2 {
        text-align: left
    }
}

.wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .dropdown-mega-menu ul {
    list-style: none;
    padding-left: 0;
    margin-bottom: 0
}

@media (max-width: 480px) {
    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .dropdown-mega-menu ul {
        margin-bottom: 15px
    }
}

.wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .dropdown-mega-menu ul li + li {
    margin-top: 3px
}

@media (min-width: 992px) {
    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu:hover .dropdown-menu-1 {
        display: block
    }
}

.wolf-menu-root #main-menu-container .fix-no-menu {
    padding: 0;
    height: 40px;
    line-height: 40px;
    padding: 0 5px;
    margin: 10px
}

.wolf-menu-root #main-menu-container .nav-root-ant-title {
    font-weight: 600;
    text-transform: uppercase;
    font-size: 17px;
    padding: 8px
}

.wolf-menu-root #scroll-hint {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: linear-gradient(to top, #fff 50%, rgba(255,255,255,0));
    padding: 10px 0;
    transition: opacity 0.3s ease-in-out;
    pointer-events: none;
    opacity: 1
}

@media (max-width: 991px) {
    .wolf-menu-root #scroll-hint {
        display: none !important
    }
}

.wolf-menu-root #scroll-hint.hidden {
    opacity: 0;
    display: none
}

.wolf-menu-root .mobile-menu-new .nav-link-2, .wolf-menu-root .mobile-menu-new .nav-link-3, .wolf-menu-root .mobile-menu-new .nav-link-4 {
    padding-top: 8px;
    padding-bottom: 8px;
    font-weight: normal !important;
    font-size: 15px !important
}

@media (max-width: 991px) {
    .wolf-menu-root {
        position: fixed;
        top: 0 !important;
        left: 0;
        width: 100%;
        height: 100vh;
        max-height: 100vh;
        transform: translateX(-100%);
        transition: transform 0.3s ease-in-out, visibility 0s 0.3s;
        visibility: hidden;
        box-shadow: none;
        overflow-y: auto;
        z-index: 9999;
        overflow-x: hidden
    }

        .wolf-menu-root.not-index-wolf-menu-root {
            position: fixed;
            top: 0 !important;
            left: 0;
            width: 100%;
            height: 100vh;
            max-height: 100vh;
            transform: translateX(-100%);
            transition: transform 0.3s ease-in-out, visibility 0s 0.3s;
            visibility: hidden;
            box-shadow: none;
            overflow-y: auto;
            z-index: 9999;
            overflow-x: hidden
        }

        .wolf-menu-root.is-active {
            transform: translateX(0) !important;
            visibility: visible;
            transition: transform 0.3s ease-in-out !important;
            flex-direction: column;
            border-radius: 0 !important
        }

        .wolf-menu-root .wolf-menu-header {
            background-color: #2a83e9;
            color: #ffffff;
            position: sticky;
            top: 0 !important;
            z-index: 2
        }

            .wolf-menu-root .wolf-menu-header .logo-menu img {
                max-height: 25px;
                width: auto
            }

            .wolf-menu-root .wolf-menu-header .close-menu-button {
                color: #ffffff
            }

        .wolf-menu-root #main-menu-container {
            margin: 10px 0;
            z-index: 1;
            margin-top: 0
        }

            .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 {
                position: absolute;
                top: 0;
                left: 100%;
                transform: translateX(100%);
                width: 100%;
                height: 100vh;
                transition: transform 0.3s ease-in-out;
                overflow-y: auto;
                padding: 0;
                display: block;
                z-index: 1000;
                box-shadow: none;
                visibility: hidden
            }

                .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-menu-header {
                    color: #ffffff;
                    font-size: 17px;
                    font-weight: 600;
                    margin-bottom: 20px
                }

                    .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-menu-header .go-back-button {
                        color: #ffffff
                    }

                .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .wolf-suggest-block {
                    padding: 10px 10px 0 10px
                }

                .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu .dropdown-menu-1 .dropdown-mega-menu {
                    padding: 0 10px 10px 10px
                }

            .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu > .dropdown-menu-1.is-active {
                transform: translateX(0);
                left: 0;
                visibility: visible;
                margin-top: 52px
            }

                .wolf-menu-root #main-menu-container .menu-list .nav-root.nav-root-mega-menu > .dropdown-menu-1.is-active .dropdown-menu-1.is-active {
                    margin-top: 0
                }
}
/*---Brand---*/
.brand-wrapper {
    background-color: #ededed;
    padding: 6px;
    border-radius: 10px;
    display: inline-flex
}
.title-brand{
    font-size:15px;
    font-weight:bold;
}
.mega-brand-block {
    padding-bottom: 15px;
    border-bottom: 1px solid #eee;
}

.brand-list {
    gap: 15px;
}

/*--End brand--*/
/*---Tags_product---*/
.tag-wrapper {
    background-color: #ededed;
    padding: 6px;
    border-radius: 10px;
    display: inline-flex
}

.title-tag {
    font-size: 15px;
    font-weight: bold;
}
/*---End Tags_product---*/
/* --- Menu cấp 3 ----*/
.menu-level-wrapper {
    margin-top: 20px;
}

.menu-level-column {
    margin-bottom: 20px;
}

.menu-level2-title {
    margin-bottom: 10px;
}

    .menu-level2-title a {
        font-size: 15.5px;
        font-weight: 600;
        color: #222;
        text-decoration: none;
        font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif
    }

        .menu-level2-title a:hover {
            color: #0056a5;
        }

.menu-level3-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

    .menu-level3-list li {
        margin-bottom: 8px;
    }

        .menu-level3-list li a {
            color: #444;
            font-size: 16px;
            text-decoration: none;
        }

            .menu-level3-list li a:hover {
                color: #0056a5;
            }
/* --- End Menu cấp 3 ----*/
/*----Lọc theo brand và tags----*/
/* Khung */
.product-filter-box {
    background: #fff;
    border: 1px solid #ececec;
    border-radius: 10px;
    padding: 10px;
}

.filter-heading {
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 12px;
    color: #222;
}

/* 5 cột desktop */
@media (min-width:1200px) {
    .col-xl-1-5 {
        flex: 0 0 12.5%;
        max-width: 12.5%;
    }
}

/* BRAND */
.brand-card-mini {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 65px;
    border: 1px solid #e5e5e5;
    border-radius: 10px;
    background: #fff;
    transition: all .2s ease;
}

    .brand-card-mini:hover {
        border-color: #0d6efd;
        box-shadow: 0 2px 8px rgba(0,0,0,.08);
    }

    .brand-card-mini img {
        max-width: 100%;
        max-height: 60px;
        object-fit: contain;
    }

/* TAG */
.tag-card-mini {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 110px;
    text-align: center;
    border: 1px solid #e5e5e5;
    border-radius: 10px;
    background: #fff;
    transition: all .2s ease;
    padding: 8px;
}

    .tag-card-mini:hover {
        border-color: #0d6efd;
        box-shadow: 0 2px 8px rgba(0,0,0,.08);
    }

    .tag-card-mini img {
        width: 55px;
        height: 55px;
        object-fit: contain;
        margin-bottom: 6px;
    }

    .tag-card-mini span {
        font-size: 14px;
        line-height: 1.3;
        color: #222;
    }

    /* Đang chọn */
    .brand-card-mini.active,
    .tag-card-mini.active {
        border: 2px solid #0d6efd;
        background: #f4f8ff;
    }

/* Mobile */
@media (max-width:767px) {

    .brand-card-mini {
        height: 65px;
    }

        /*.brand-card-mini img {
            max-height: 35px;
        }*/

    .tag-card-mini {
        height: 95px;
    }

        .tag-card-mini img {
            width: 42px;
            height: 42px;
        }

        .tag-card-mini span {
            font-size: 13px;
        }
}
/*----End lọc theo brand và tags----*/
/*----Lọc theo giá----*/
.price-filter-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 15px;
}

.price-filter-item {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    padding: 10px 15px;
    border: 1px solid #ddd;
    border-radius: 6px;
    background: #fff;
    color: #333;
    text-decoration: none;
    transition: .2s;
    font-size: 14px;
    white-space: nowrap;
}

    .price-filter-item:hover {
        border-color: #0d6efd;
        color: #0d6efd;
    }

    .price-filter-item.active {
        background: #0d6efd;
        border-color: #0d6efd;
        color: #fff;
    }
/*----End lọc theo giá----*/
/*----Begin biến thể----*/
/* =========================
   BIẾN THỂ SẢN PHẨM
========================= */

.bienthe {
    margin: 20px 0;
}

.variant-group {
    margin-bottom: 18px;
}

.variant-title {
    margin-bottom: 10px;
    font-size: 15px;
    font-weight: 600;
    color: #222;
}

.variant-options {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.variant-item {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 70px;
    min-height: 40px;
    padding: 8px 15px;
    border: 1px solid #ddd;
    border-radius: 6px;
    background: #fff;
    color: #333;
    font-size: 14px;
    font-weight: 500;
    line-height: 1.4;
    cursor: pointer;
    transition: all .2s ease;
}

    .variant-item:hover {
        border-color: #dc3545;
        color: #dc3545;
    }

    /* option đang chọn */

    .variant-item.active {
        border-color: #dc3545;
        background: #fff5f5;
        color: #dc3545;
        font-weight: 600;
        box-shadow: 0 0 0 0px #dc3545 inset;
    }

/* mobile */

@media (max-width:767px) {

    .variant-options {
        gap: 8px;
    }

    .variant-item {
        min-width: 60px;
        min-height: 36px;
        padding: 6px 12px;
        font-size: 13px;
    }
}
/*----End biến thể----*/
@media (min-width: 992px) {
    .d-lg-none {
        display: none !important;
    }
}

.ms-2 {
    margin-left: .5rem !important;
}

.w-100 {
    width: 100% !important;
}

.ms-auto {
    margin-left: auto !important;
}

.gap-2 {
    gap: .5rem !important;
}

.d-grid {
    display: grid !important;
}

.d-flex {
    display: flex !important;
}

@media (min-width: 992px) {
    .d-lg-none {
        display: none !important;
    }
}

.align-items-center {
    align-items: center !important;
}

.nav-link {
    display: block;
    text-decoration: none;
    background: 0 0;
    border: 0;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out;
}

.ant-header-hotline {
    display: flex;
    align-items: center;
    gap: 6px;
}

    .ant-header-hotline .hotline-text {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        line-height: 1.1;
    }

.btn-cate-text {
    text-transform: uppercase;
}

@keyframes showAnimation {
    0% {
        opacity: 0;
        transform: scaleY(0.1)
    }

    40% {
        transform: scaleY(1.04)
    }

    60% {
        transform: scaleY(0.98)
    }

    80% {
        transform: scaleY(1.02)
    }

    to {
        opacity: 1;
        transform: scaleY(1)
    }
}
